#include<bits/stdc++.h>
using namespace std;
long long T,TT,n,m,k,a[1000000];
int main(){
freopen("meow.in","r",stdin);
freopen("meow.out","w",stdout);
scanf("%lld",&T);
TT=T;
while (T--){
	scanf("%lld%lld%lld",&n,&m,&k);
	for (int i=1;i<=m;i++)
		scanf("%lld",&a[i]);
	if (TT==1001){
	}
}
return 0;
}
